package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class UseApplyBean {

        /**
         * records : [{"createdBy":675,"createdByName":"李凯","createdTime":"2020-04-12 16:05:46","updatedBy":null,"updatedByName":null,"updatedTime":null,"commenceFromId":null,"createdType":null,"id":170,"orderId":"SO10761","orderType":"SO","status":"0","applyRemark":"1","auditRemark":null,"serialNumber":"RCI20041216054670","deptIdList":null,"ownId":null,"orderItemId":null,"productId":30,"product":"整体塞棒","simpleCode":"B214","soleCode":"70GTB214001","productAmount":1,"boxCode":null},{"createdBy":675,"createdByName":"李凯","createdTime":"2020-04-12 15:54:23","updatedBy":null,"updatedByName":null,"updatedTime":null,"commenceFromId":null,"createdType":null,"id":169,"orderId":"SO10761","orderType":"SO","status":"0","applyRemark":"1","auditRemark":null,"serialNumber":"RCI20041215542215","deptIdList":null,"ownId":null,"orderItemId":"9a1f38f80a564945987419817240a39b","productId":30,"product":"整体塞棒","simpleCode":"B214","soleCode":"70GTB214001","productAmount":1,"boxCode":null}]
         * total : 2
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<RecordsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

        public static class RecordsBean {
            /**
             * createdBy : 675
             * createdByName : 李凯
             * createdTime : 2020-04-12 16:05:46
             * updatedBy : null
             * updatedByName : null
             * updatedTime : null
             * commenceFromId : null
             * createdType : null
             * id : 170
             * orderId : SO10761
             * orderType : SO
             * status : 0
             * applyRemark : 1
             * auditRemark : null
             * serialNumber : RCI20041216054670
             * deptIdList : null
             * ownId : null
             * orderItemId : null
             * productId : 30
             * product : 整体塞棒
             * simpleCode : B214
             * soleCode : 70GTB214001
             * productAmount : 1.0
             * boxCode : null
             */

            private int createdBy;
            private String createdByName;
            private String createdTime;
            private String updatedBy;
            private String updatedByName;
            private String updatedTime;
            private Object commenceFromId;
            private Object createdType;
            private int id;
            private String orderId;
            private String orderType;
            private String status;
            private String applyRemark;
            private String auditRemark;
            private String serialNumber;
            private Object deptIdList;
            private Object ownId;
            private Object orderItemId;
            private int productId;
            private String product;
            private String simpleCode;
            private String soleCode;
            private double productAmount;
            private Object boxCode;

            public int getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(int createdBy) {
                this.createdBy = createdBy;
            }

            public String getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(String createdByName) {
                this.createdByName = createdByName;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public String getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(String updatedBy) {
                this.updatedBy = updatedBy;
            }

            public String getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(String updatedByName) {
                this.updatedByName = updatedByName;
            }

            public String getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(String updatedTime) {
                this.updatedTime = updatedTime;
            }

            public Object getCommenceFromId() {
                return commenceFromId;
            }

            public void setCommenceFromId(Object commenceFromId) {
                this.commenceFromId = commenceFromId;
            }

            public Object getCreatedType() {
                return createdType;
            }

            public void setCreatedType(Object createdType) {
                this.createdType = createdType;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public String getOrderType() {
                return orderType;
            }

            public void setOrderType(String orderType) {
                this.orderType = orderType;
            }

            public String getStatus() {
                return status;
            }

            public void setStatus(String status) {
                this.status = status;
            }

            public String getApplyRemark() {
                return applyRemark;
            }

            public void setApplyRemark(String applyRemark) {
                this.applyRemark = applyRemark;
            }

            public String getAuditRemark() {
                return auditRemark;
            }

            public void setAuditRemark(String auditRemark) {
                this.auditRemark = auditRemark;
            }

            public String getSerialNumber() {
                return serialNumber;
            }

            public void setSerialNumber(String serialNumber) {
                this.serialNumber = serialNumber;
            }

            public Object getDeptIdList() {
                return deptIdList;
            }

            public void setDeptIdList(Object deptIdList) {
                this.deptIdList = deptIdList;
            }

            public Object getOwnId() {
                return ownId;
            }

            public void setOwnId(Object ownId) {
                this.ownId = ownId;
            }

            public Object getOrderItemId() {
                return orderItemId;
            }

            public void setOrderItemId(Object orderItemId) {
                this.orderItemId = orderItemId;
            }

            public int getProductId() {
                return productId;
            }

            public void setProductId(int productId) {
                this.productId = productId;
            }

            public String getProduct() {
                return product;
            }

            public void setProduct(String product) {
                this.product = product;
            }

            public String getSimpleCode() {
                return simpleCode;
            }

            public void setSimpleCode(String simpleCode) {
                this.simpleCode = simpleCode;
            }

            public String getSoleCode() {
                return soleCode;
            }

            public void setSoleCode(String soleCode) {
                this.soleCode = soleCode;
            }

            public double getProductAmount() {
                return productAmount;
            }

            public void setProductAmount(double productAmount) {
                this.productAmount = productAmount;
            }

            public Object getBoxCode() {
                return boxCode;
            }

            public void setBoxCode(Object boxCode) {
                this.boxCode = boxCode;
            }
        }
}
